Fedora 7 Perfect Desktop triggers a dependency hell

Discussion in 'HOWTO-Related Questions' started by mauriceh, Sep 20, 2007.

  1. mauriceh

    mauriceh New Member

    I installed by the method described, and all went relatively well.
    Until a few days passed, and I was notified I had updates.
    OK, until 11 of them failed on dependencies.
    Then I had the joy of tracking which dependencies were for which packages.
    Bit of trial and error later I had to uninstall most of the multimedia additions in the HowTo.

    Anyone have a suggestion what is happening with that?
  2. o.meyer

    o.meyer ISPConfig Developer ISPConfig Developer

    I recommend to install the following packages:

    1.) yum-skip-broken

    This package prevents your system from packages with broken dependences.

    2.) yum-fedorakmod && yum-kernel-module

    These packages prevent your system from updating the kernel, if you have kernel-modules installed, which are not available yet for the new kernel.

    3.) yum-fastestmirror

    This package ensures that the fastest available server will be used for operations with yum.

  3. mauriceh

    mauriceh New Member

    All great tips. Thanks.
    However: Point of testing this Howto was to see a simple reproducible way to run those apps under Fedora7.
    With several of them "breaking" in updates, I wonder what is the proper means to cure the dependencies updates problems?

    Thanks again if you have any suggestions..
  4. o.meyer

    o.meyer ISPConfig Developer ISPConfig Developer

    I think it's a problem with the repository(s) - I never had such problems by now.

    I recommend to add only the livna- and the adobe-repository. Livna harmonizes perfect with the Fedora repository. If you are going to add other repositorys like freshrpms or atrpms, be sure that you disable them by default (/etc/yum.repos.d/..... -> enabled=0). Otherwise you'll possibly get big problems. - And don't disable the gpgcheck - this problem has been solved.

    If you need to add and enable different repositorys be sure that you install and configure one of these packages:

    ( http://wiki.centos.org/PackageManagement/Yum/Priorities )


    ( http://wiki.centos.org/PackageManagement/Yum/ProtectBase )


Share This Page